<?php 
	// librerias requeridas
	include_once( dirname(__DIR__) . DIRECTORY_SEPARATOR . '__DataSis__.php');
	// crear .htaccess
	$base = rtrim(dirname($_SERVER['SCRIPT_NAME']), '/\\');
	$base = $base . '/';
	// Restringir el acceso web a los archivos del directorio de archivos de registro
		///$htaccess_body = "RewriteEngine On" . "\r\n" . "RewriteRule .* - [L,R=404]";
	$htaccess_body	= "# Impedir listar el directorio" . "\r\n" . "	Options -Indexes" . "\r\n" . "	order deny,allow" . "\r\n" . 
		"# Ocultando htaccess|htpasswd" . "\r\n" . "<Files ~ \"^\.(htaccess|htpasswd)$\">" . "\r\n" . "	deny from all" . "\r\n" . 
		"</Files>" . "\r\n" . "\r\n" . "<IfModule mod_rewrite.c>
	RewriteEngine On
	RewriteBase ".$base."
	RewriteRule ^index\.php$ - [L]
	RewriteCond %{REQUEST_FILENAME} !-f
	RewriteCond %{REQUEST_FILENAME} !-d
	RewriteRule . ".$base."index.php [L]
</IfModule>";
	$log_file_dir	= __DIR__;
	if ((!is_file($log_file_dir . "/.htaccess") || file_get_contents($log_file_dir . "/.htaccess") !== $htaccess_body)) {
			if (!is_dir($log_file_dir . "/.htaccess")) {
				file_put_contents($log_file_dir . "/.htaccess", $htaccess_body);
			}
	}
	
	// Variables
	$acc		= (isset($_GET['_xac'])) ? $_GET['_xac'] : md5(time());
	$JSONDat2	= array();
	$ECHO		= '';
	$dir		= 'i/'; //Declaramos carpeta temporal para guardar la imágenes generadas
	$url		= dirname(http_construir_url()) . '/';

	//Si no existe la carpeta la creamos
	if (!file_exists($dir))
        mkdir($dir);
	
	// crear tabla qr si no existe
	$tabla		= 'yqr';
	_mysql_importar( __DIR__ . YDS . 'yqr.sql' );

	//Agregamos la librería para genera códigos QR
	require "phpqrcode/qrlib.php";
	/*
	 L = Baja
	 M = Mediana
	 Q = Alta
	 H= Máxima

	 Tipo de Contenido:
	 - Texto: ‘Codigos de Programacion’
	 - URL: ‘http://www.codigosdeprogramacion.com’
	 - Télefono: ‘tel:(049)123-456-789′
	 - SMS: »smsto:(049)012-345-678:Cuerpo de sms’
	 - Email: ‘mailto:micorreo@dominio.com?subject=Asunto&body=contenido’
	 - VCard: ‘BEGIN:VCARD’.’\n»;
	 - ‘FN:Codigos de Programacion’.»\n»;
	 - ‘TEL;WORK;VOICE:(049)012-345-678’.»\n»;
	 - ‘END:VCARD
	 - WIFI: ‘WIFI:S:MISSID;T:WPA;P:PASSWORD;H:true;’
	 */

	//Parámetros de Configuración QR
	$tamaño		= 10; //Tamaño de Pixel
	$level		= 'M'; //Precisión Baja
	$framSize	= 3; //Tamaño en blanco
	$filename	= 'f4563u768';
	// tipo de QR a generar
	switch($acc){
		case 'OURLSS':
			$QRKeyCr		= url_encriptar(loginNomUsuario("%ius%"),loginIdUsuario());
			$filename		= $dir.md5(loginIdUsuario()).'.png';
			$contenido		= $url.'?_xac=OURLSS&_xv='.$QRKeyCr;
			$ECHO = '<img src="'.$url.$filename.'" /><hr/>';
			
			break;
		default:
			// creo llave QR
			$QRKey			= genCodigo( 16 );
			$QRKeyCr		= url_encriptar($QRKey,'@y');
			$QRJSON["OS"]	= os();
			$QRJSON["BROWSER"]= obtBrowser('browser');
			$QRJSON["IP"]	= $_SERVER['REMOTE_ADDR'];
			// guardar datos de acceso QR
			_mysql_insertar_reg($tabla," `idqr`, `qrdatos`, `fecha`","'{$QRKey}', '". json_encode($QRJSON) ."', '". date('Y-m-d H:i:s') ."'");
			// ruta y nombre de la imagen
			$browser		= $_SERVER['HTTP_USER_AGENT'];
			$filename		= $dir.md5($browser.php_uname('a')).'.png';
			// contenido de la imagen <input type=\"text\" value=\"'.$contenido.'\">
			$contenido		= $url.$QRKeyCr; //"http://codigosdeprogramacion.com"; //Texto
			
			$ECHO = '[{"img":"<img src=\"'.$url.$filename.'\" /><hr/>","k":"'.trim($QRKey).'"}]';
	}
    //Declaramos la ruta y nombre del archivo a generar
	///$filename	= $dir.$filename.'.png';
	//Enviamos los parámetros a la Función para generar código QR 
	QRcode::png($contenido, $filename, $level, $tamaño, $framSize); 
	
    //Mostramos la imagen generada
	echo $ECHO;




	// ** PROCESO INDEPENDIENTE: LIMPIO QRs caducados
	// fecha y hora actual
	$horaActual	= date('Y-m-d H:i:s');
	$qq = _mysql_query("SELECT * FROM `yqr`");
	while( $rq = _mysql_fetch_array($qq) ){
		$horaReg	= $rq["fecha"]; 
		$horaCaduca	= date('Y-m-d H:i:s', strtotime ( '+30 minute' , strtotime ($horaReg) )); 
		if($horaActual > $horaCaduca){ 
			_mysql_eliminar_reg("yqr",$rq['id']);
		}
	}
?>	